This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 466165 - Traceback on setroubleshootd startup (Message too long)
Traceback on setroubleshootd startup (Message too long)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 16:05 EDT by Yanko Kaneti
Modified: 2009-12-18 01:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:32:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bzipped log - setroubleshootd -f -v -V (204.92 KB, application/x-bzip)
2008-10-08 16:07 EDT, Yanko Kaneti
no flags Details
bzipped audit_listener_database.xml.old (192.63 KB, application/x-bzip)
2008-10-21 09:33 EDT, Yanko Kaneti
no flags Details

  None (edit)
Description Yanko Kaneti 2008-10-08 16:05:41 EDT
setroubleshoot-2.0.11-1.fc10.noarch 

setroubleshootd fails to start with the following traceback

Traceback (most recent call last):
  File "/usr/lib/python2.5/logging/handlers.py", line 670, in emit
    self.socket.send(msg)
error: (90, 'Message too long')

Attaching a bzipped (too big otherwise) log of setroubleshootd -f -v -V
Comment 1 Yanko Kaneti 2008-10-08 16:07:14 EDT
Created attachment 319793 [details]
bzipped log - setroubleshootd -f -v -V
Comment 2 John Poelstra 2008-10-17 19:38:23 EDT
Do you see the same problem with: setroubleshoot-2.0.12-1.fc10.noarch.rpm
Comment 3 Yanko Kaneti 2008-10-17 20:01:23 EDT
yes
Comment 4 Daniel Walsh 2008-10-20 14:44:28 EDT
Could you execute

# service setroubleshoot stop
# mv /var/lib/setroubleshoot/audit_listener_database.xml
/var/lib/setroubleshoot/audit_listener_database.xml.old
# touch /var/lib/setroubleshoot/audit_listener_database.xml
# service setroubleshoot start

And see if this fixes the problem?
Comment 5 Yanko Kaneti 2008-10-20 19:12:55 EDT
Yep, this fixed it.
Comment 6 Daniel Walsh 2008-10-21 09:12:42 EDT
Yanko please attach a compressed version of /var/lib/setroubleshoot/audit_listener_database.xml.old
Comment 7 Yanko Kaneti 2008-10-21 09:33:58 EDT
Created attachment 321014 [details]
bzipped audit_listener_database.xml.old
Comment 8 Daniel Walsh 2008-10-27 09:58:59 EDT
This should not be a blocker bug.
Comment 9 Bug Zapper 2008-11-25 22:40:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-11-18 02:56:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 01:32:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.